<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_bfe6642a5b68bf0dfbe0e38d0c9f9bb" . "3" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCBvYmplY3RfaWQgRlJPTSBzdGF0X3ZpZXdzIFdIRVJFIGFnZ3JlZ2F0aW9uID0" . "gaW50OmFnZ3JlZ2F0aW9uIEFORCA="), "aggr" . "egat" . "ion" => base64_decode("YWdncmVnYX" . "Rpb24="), "_c3632c3" . "0d13c067" . "8877605a" . "29c10c42" . "8" => base64_decode("IEdST1VQI" . "EJZIG9iam" . "VjdF9pZCk" . "gdA=="), "_31fe0e29fd" . "fc834bf81ef" . "d515f8390b2" => base64_decode("IEdST1VQIEJZIG9iamVjdF9pZCBPUkRFUiBCWSB2aWV3cyB" . "ERVNDLCB1bmlxdWVfdmlld2VycyBERVNDLCBvYmplY3RfaW" . "QgQVND"), "_8a2c4179b7145f57e03893c306413" . "ae2" => base64_decode("U0VMRUNUIG9iamVjdF9pZCwgQ09VTlQodXNlcl9pZCkgdmlld3MsIENPVU5UKERJU1RJTkNUIHVzZXJfaWQpIHVuaXF1ZV92aWV3ZXJzIEZST00gc3RhdF92aWV3cyBXSEVSRSBhZ2dyZWdhdGlv" . "biA9IGludDphZ2dyZWdhdGlvbiBBTkQg"));
use Claromentis\Core\DAL;
abstract class StatReportTopViewList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 10;
        $this->rows_per_page = 20;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_8a2c4179b7145f" . "57e03893c306413" . "ae2"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_31fe0e29fdf" . "c834bf81efd5" . "15f8390b2"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["aggregati" . "on"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_bfe6642a5b68bf0dfb" . "e0e38d0c9f9bb3"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_c3632c30d13c0678877605a2" . "9c10c428"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
}